package com.xinyilu.system.mapper.testItemLevel;


import com.xinyilu.system.domain.testLevel.TestItemLevel;

import java.util.List;

/**
 * 测试项目级别Mapper接口
 *
 * @author jihan
 * @date 2022-08-03
 */
public interface TestItemLevelMapper {
    /**
     * 查询测试项目级别
     *
     * @param id 测试项目级别主键
     * @return 测试项目级别
     */
    public TestItemLevel selectTestItemLevelById(Long id);

    /**
     * 查询测试项目级别列表
     *
     * @param testItemLevel 测试项目级别
     * @return 测试项目级别集合
     */
    public List<TestItemLevel> selectTestItemLevelList(TestItemLevel testItemLevel);

    /**
     * 新增测试项目级别
     *
     * @param testItemLevel 测试项目级别
     * @return 结果
     */
    public int insertTestItemLevel(TestItemLevel testItemLevel);

    /**
     * 修改测试项目级别
     *
     * @param testItemLevel 测试项目级别
     * @return 结果
     */
    public int updateTestItemLevel(TestItemLevel testItemLevel);

    /**
     * 删除测试项目级别
     *
     * @param id 测试项目级别主键
     * @return 结果
     */
    public int deleteTestItemLevelById(Long id);

    /**
     * 批量删除测试项目级别
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTestItemLevelByIds(Long[] ids);

    /**
     * 逻辑删除测试项目级别信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int updateTestItemLevelByIds(Long[] ids);

    /**
     * 根据项目id查询项目成绩级别信息
     *
     * @param itemId 项目id
     * @return 数量
     */
    int getTestItemLevelByItemId(Long itemId);

    /**
     * 根据项目分类id查询项目成绩级别信息
     *
     * @param itemCategoryId 项目分类表id
     * @return 数量
     */
    int getTestItemLevelByCategoryId(Long itemCategoryId);

    /**
     * 根据分类id删除测试项目级别
     *
     * @param itemCategoryId 测试项目级分类表id
     * @return 结果
     */
    int deleteTestItemLevelByCategory(Long itemCategoryId);

    /**
     * 逻辑删除测试项目分类级别信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int updateTestItemLevelByCategoryIds(Long[] ids);

    /**
     * 根据项目id查询项目成绩级别信息
     *
     * @param itemId 项目id集合
     * @return 数量
     */
    int getTestItemLevelByItemIds(Long[] itemId);

    /**
     * 根据项目分类表id查询项目成绩级别信息
     *
     * @param categoryIds 项目id集合
     * @return 数量
     */
    int getTestItemLevelByCategoryIds(Long[] categoryIds);

    /**
     * 根据测试项目分类表id查询对应得项目级别信息
     *
     * @param itemCategoryId 项目分类表id
     * @return List<TestItemLevel>
     */
    List<TestItemLevel> getTestItemLevel(Long itemCategoryId);
}
